<?php
/**
* @version  mod_minimoo2.php
* @package  JB Minimoo 2
* @copyright Copyright (C) 2006 - 2010 Joomla Bamboo. http://www.joomlabamboo.com  All rights reserved.
* @license  GNU/GPL license: http://www.gnu.org/copyleft/gpl.html
*/
// no direct access
defined('_JEXEC') or die('Restricted access');
require_once (JPATH_SITE.DS.'components'.DS.'com_content'.DS.'helpers'.DS.'route.php');
$helper = JPATH_SITE.DS.'media'.DS.'plg_jblibrary'.DS.'helpers'.DS.'image.php';
if (file_exists($helper)){ 
	require_once($helper); 
} else {
	echo 'JbLibrary plugin is not installed! Please install it.';
}
class modMinimoo2Helper
{
	function getList($params, $moduleID)
	{
		// Import libraries
		jimport('joomla.filesystem.file');
		jimport('joomla.filesystem.folder');
		// General Settings and Layout
		$directory = $params->get('directory', 'images/stories');
		$directory = ltrim($directory,DS);
		$directory = rtrim($directory,DS);
		$link = $params->get('link',1);
		// Full Image Settings
		$imageWidth = str_replace('px', '', $params->get('imageWidth','400'));
		$imageHeight = str_replace('px', '', $params->get('imageHeight','300'));
		$option = $params->get('option', 'crop');
		// Thumb Settings
		$thumbWidth = str_replace('px', '', $params->get('thumbWidth','60'));
		$thumbHeight = str_replace('px', '', $params->get('thumbHeight','60'));
		$cropThumbWidth = str_replace('px', '', $params->get('cropThumbWidth','2'));
		$cropThumbHeight = str_replace('px', '', $params->get('cropThumbHeight','1'));
		$option_thumb = $params->get('option_thumb', 'crop');
		// Script that pulls images from a folder
		// list of filetypes you want to show
		$allowed_types = '\.png$|\.gif$|\.jpg$|\.bmp$|\.ico$';
		// list of filetypes you want to exclude
		$exclude = array('.svn', 'CVS','.DS_Store','__MACOSX');
		$path = JPATH_ROOT.'/'.$directory;
		//get list of images from dir
		$images = JFolder::files($path, $allowed_types, false, true, $exclude);
		// Subfolder for thumbnailer
		$subpath = JURI::root(true);
		//we create the array
		$items = array();
		//create an array of items for template
		foreach ($images as $image)
		{
            $item = '';
			// remove file path
			$file = JFile::getName($image);
			// remove file extension
			$name = JFile::stripExt($file);
			// explode to get description
			$names = explode('-', $name);
			if (is_array($names)){
				//we get title & description
				$title = (!empty($names[0]))? $names[0] : '';
				$description = (!empty($names[1]))? $names[1] : '';
			} else {
				$title = $name;
				$description = ''; 
			}
			// Creates new variables from the file name
			if ($link){
				// Pretty Photo
				$lightbox = 'rel="prettyPhoto'.$moduleID.'[gallery]"';
				$openlink ='<a href="'.$subpath.'/'.$directory.'/'.$file.'" '.$lightbox.' title="'.$title.' ">';
				$closelink = '</a>';
			} else {
				// default
				$lightbox = '';
				$openlink = '';
				$closelink = '';
			}
			$image = $subpath.'/'.$directory.'/'.$file;
			$resized_image =  resizeImageHelper::getResizedImage($image, $imageWidth, $imageHeight, $option);
			$image = $subpath.'/'.$directory.'/'.$file;
			$resized_thumb =  resizeImageHelper::getResizedImage($image, $thumbWidth, $thumbHeight, $option);
			$item->thumb = '<span class="minimooControl'.$moduleID.'"><img src="'.$resized_thumb.'" longdesc="'.$description.'" alt="'.$title.'" title="'.$title.'"/></span>';
			$item->image = '<div>'.$openlink.'<img src="'.$resized_image.'"  alt="'.$title.'" title="'.$title.'"/>'.$closelink.'</div>';
			$items[] = $item;
		}
    return $items;
	}
}
